<?php

namespace App\Http\Controllers;

use App\Models\BookableProduct;
use App\Models\Booking;
use App\Models\BookingItem;
use App\Models\BookingTime;
use App\Models\TempBookingItem;
use Carbon\Carbon;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function GetMaxBookable(int $bookableProductId, int $timeId, string $klarna_id = ''): int {
        $bookableProduct = BookableProduct::where('id', $bookableProductId)->first();
        $bookingTime = BookingTime::where('id', $timeId)->first();
        $bookingItems = BookingItem::where('productId', '=', $bookableProduct->product_id)->where('startTime', '=', $bookingTime->start)->where('endTime', '=', $bookingTime->end)->get();
    
        $result = $bookableProduct->max;
        foreach($bookingItems as $bookingItem) {
            $booking = Booking::where('id', $bookingItem->bookingId)->first();
            if($booking->status != 'Makulerad') {
                $result -= $bookingItem->quantity;
            }            
        }
    
        $newer = Carbon::now()->subMinute(15)->format('Y-m-d H:i:s');
        if($klarna_id == '') {
            $tempBookingItems = TempBookingItem::whereNull('deleted_at')->where('product_id', '=', $bookableProduct->product_id)->where('startTime', '=', $bookingTime->start)->where('endTime', '=', $bookingTime->end)->where('created_at', '>=', $newer)->get();
        }
        else {
            $tempBookingItems = TempBookingItem::whereNull('deleted_at')->where('klarna_id', '<>', $klarna_id)->where('product_id', '=', $bookableProduct->product_id)->where('startTime', '=', $bookingTime->start)->where('endTime', '=', $bookingTime->end)->where('created_at', '>=', $newer)->get();
        }
        foreach($tempBookingItems as $bookingItem) {
          $result -= $bookingItem->quantity;
        }
    
        if($result < 0) {
          $result = 0;
        }
        return $result;
      }
}
