<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Http;

use Illuminate\Http\Request;

class KlarnaController extends Controller
{
  private string $authKeyBase64;
  private string $country;
  private string $currency;
  private string $locale;


  function __construct() {
    $this->authKeyBase64 = 'UEszODIwNV80MGRjMzJmY2IwZDA6dXRmamVNc3RtOFE1anlHcg==';//$_ENV['KLARNA_AUTHENTICATION'];
    $this->country = 'SE';
    $this->currency = 'SEK';
    $this->locale = 'sv-SE';
  }

  // public function createKlarnaSession() {

  //   $data = [
  //     'purchase_country' => $this->country,
  //     'purchase_currency' => $this->currency,
  //     'locale' => $this->locale,
  //     'order_amount' => 50000,
  //     'order_tax_amount' => 4545,
  //     'order_lines' => [
  //       [
  //         'type' => 'physical',
  //         'reference' => '1234',
  //         'name' => 'Renting item 1',
  //         'quantity' => 1,
  //         'quantity_unit' => 'pcs',
  //         'unit_price' => 50000,
  //         'tax_rate' => 1000,
  //         'total_amount' => 50000,
  //         'total_discount_amount' => 0,
  //         'total_tax_amount' => 4545
  //       ]
  //     ]
  //   ];

  //   $response = Http::withHeaders(['Authorization' => 'Basic '.$this->authKeyBase64])
  //     ->post('https://api.playground.klarna.com/payments/v1/sessions', $data);

  //     // echo $response->getStatusCode();
  //       // echo "<br />";
  //       // $a = $response->getBody();
  //       // echo $a;
  //     $pageTitle = 'Title';
  //     $title = 'Title 2';
  //     $pageDescription = 'Description';
  //     $response = json_decode($response->getBody());
  //   return view('klarna-checkout', compact('pageTitle','title','pageDescription','response'));
  // }

  public function createKlarnaOrder() {

    $data = [
      'purchase_country' => $this->country,
      'purchase_currency' => $this->currency,
      'locale' => $this->locale,
      'order_amount' => 50000,
      'order_tax_amount' => 4545,
      'order_lines' => [
        [
          'type' => 'physical',
          'reference' => '1234',
          'name' => 'Renting item 1',
          'quantity' => 1,
          'quantity_unit' => 'pcs',
          'unit_price' => 50000,
          'tax_rate' => 1000,
          'total_amount' => 50000,
          'total_discount_amount' => 0,
          'total_tax_amount' => 4545
        ]
        ],
        "merchant_urls" => [
          "terms" => "https://www.example.com/terms.html",
          "checkout" => "https://www.example.com/checkout.html?order_id={checkout.order.id}",
          "confirmation" => "https://www.example.com/confirmation.html?order_id={checkout.order.id}",
          "push" => "https://www.example.com/api/push?order_id={checkout.order.id}"
        ],
    ];

    $response = Http::withHeaders(['Authorization' => 'Basic '.$this->authKeyBase64])
      ->post('https://api.playground.klarna.com/checkout/v3/orders', $data);

      // echo $response->getStatusCode();
        // echo "<br />";
        // $a = $response->getBody();
        // echo $a;
      $pageTitle = 'Title';
      $title = 'Title 2';
      $pageDescription = 'Description';
      $response = json_decode($response->getBody());
      $orderId = $response->order_id;
      $snippet = $response->html_snippet;
    return view('klarna-checkout', compact('pageTitle','title','pageDescription','orderId','snippet'));
  }

    // public function startPaymentProcess() 
    // {
    //     $data = [
    //         'purchase_country' => 'SE',
    //         'purchase_currency' => 'SEK',
    //         'locale' => 'en-GB',
    //         'order_amount' => 50000,
    //         'order_tax_amount' => 4545,
    //         'order_lines' => [
    //           [
    //             'type' => 'physical',
    //             'reference' => '1234',
    //             'name' => 'Renting item 1',
    //             'quantity' => 1,
    //             'quantity_unit' => 'pcs',
    //             'unit_price' => 50000,
    //             'tax_rate' => 1000,
    //             'total_amount' => 50000,
    //             'total_discount_amount' => 0,
    //             'total_tax_amount' => 4545
    //           ]
    //         ],
    //         'merchant_urls' => [
    //           'terms' => 'http://localhost/dev/git/external-booking/public/klarna/terms',
    //           'checkout' => 'http://localhost/dev/git/external-booking/public/klarna/checkout/{checkout.order.id}',
    //           'confirmation' => 'http://localhost/dev/git/external-booking/public/klarna/confirmation/{checkout.order.id}',
    //           'push' => 'http://localhost/dev/git/external-booking/public/klarna/push/{checkout.order.id}',
    //         ],
    //     ];

    //     $response = Http::withHeaders(['Authorization' => 'Basic UEszODIwNV80MGRjMzJmY2IwZDA6dXRmamVNc3RtOFE1anlHcg=='])
    //     ->post('https://api.playground.klarna.com/checkout/v3/orders', $data);
    //     echo $response->getStatusCode();
    //     echo "<br />";
    //     $a = $response->getBody();
    //     echo $a;
    // }

    public function instantShopping()
    {
      $data = [
                'merchant_urls' => [
                  'place_order' => 'https://localhost/dev/git/external-booking/public/klarna/place',
                ],
            ];
    
            $response = Http::withHeaders(['Authorization' => 'Basic UEszODIwNV80MGRjMzJmY2IwZDA6dXRmamVNc3RtOFE1anlHcg=='])
            ->post('https://api.playground.klarna.com/instantshopping/v1/buttons', $data);
            
            $res_json = json_decode($response->getBody(), true);
            print_r($res_json);
            $button_key = $res_json['button_key'];

            return view('klarna-start', ['button_key' => $button_key]);
    }

    public function start()
    {
      return view('klarna-start');
    }

    public function createSession()
    {
        $data = [
            'purchase_country' => 'SE',
            'purchase_currency' => 'SEK',
            'locale' => 'en-GB',
            'order_amount' => 50000,
            'order_tax_amount' => 4545,
            'order_lines' => [
              [
                'type' => 'physical',
                'reference' => '1234',
                'name' => 'Renting item 1',
                'quantity' => 1,
                'quantity_unit' => 'pcs',
                'unit_price' => 50000,
                'tax_rate' => 1000,
                'total_amount' => 50000,
                'total_discount_amount' => 0,
                'total_tax_amount' => 4545
              ]
            ]
        ];

        $response = Http::withHeaders(['Authorization' => 'Basic UEszODIwNV80MGRjMzJmY2IwZDA6dXRmamVNc3RtOFE1anlHcg=='])
        ->post('https://api.playground.klarna.com/payments/v1/sessions', $data);
        if($response->getStatusCode() == 200)
        {
            $res_json = json_decode($response->getBody(), true);
            $sessionId = $res_json['session_id'];
            $client_token = $res_json['client_token'];
            $payment_method_categories = $res_json['payment_method_categories'];
            return view('klarna-start', ['client_token' => $client_token]);
        }
    }

    public function createOrder($auth_token = null)
    {
        echo $auth_token;
    }

    public function terms()
    {
        echo "Terms";
    }

    public function checkout($id=null)
    {
        echo $id . ' checkout';
    }

    public function confirmation($id=null)
    {
        echo $id . ' confirmation';
    }

    public function push($id=null)
    {
        echo $id . ' push';
    }
    /*

To create an order you will use our REST API and make a HTTP POST request towards the right test endpoint + 
/checkout/v3/orders with the header content-type: application/json.

{
  "purchase_country": "SE",
  "purchase_currency": "SEK",
  "locale": "se-SV",
  "order_amount": 50000, // Price in SEK 50000 = 500.00 SEK
  "order_tax_amount": 4545, // Total tax in SEK 4545 = 45.45 SEK
  "order_lines": [
      {
          "type": "physical",
          "reference": "1234",
          "name": "Hyra av bana 1",
          "quantity": 1,
          "quantity_unit": "pcs",
          "unit_price": 50000, // Price in SEK 50000 = 500.00 SEK
          "tax_rate": 4545, // Total tax in SEK 4545 = 45.45 SEK
          "total_amount": 50000, // Price in SEK 50000 = 500.00 SEK
          "total_discount_amount": 0,
          "total_tax_amount": 4545 // Total tax in SEK 4545 = 45.45 SEK
      }
    ],
  "merchant_urls": {
    "terms": "http://localhost/dev/git/external-booking/public/klarna/terms",
    "checkout": "http://localhost/dev/git/external-booking/public/klarna/checkout/{checkout.order.id}",
    "confirmation": "http://localhost/dev/git/external-booking/public/klarna/confirmation/{checkout.order.id}",
    "push": "http://localhost/dev/git/external-booking/public/klarna/push/{checkout.order.id}"
  },
}

    */
}
