<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class BookableProduct extends Model
{
    use SoftDeletes;
    protected $table = 'ext_bookableProducts';
    protected $primaryKey = 'id';

    public function extraProducts() {
        return $this->belongsTo('BookableExtraProduct');
    }

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'id',
        'product_id',
        'title',
        'short_description',
        'description',
        'image',
        'soldout_text',
        'soldout',
        'times_header_text',
        'calendar_header_text',
        'list_times',
        'type_id',
        'max'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'created_at',
        'created_by',
        'updated_at',
        'updated_by',
        'deleted_at',
        'deleted_by'
    ];
}
