CREATE TABLE `ext_pageInfo` (
  `id` int(11) NOT NULL,
  `title_bar` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `logo` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_pageInfo` ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `id` (`id`);

CREATE TABLE `ext_bookableProducts` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `published` BOOLEAN NOT NULL DEFAULT TRUE,
  `short_description` varchar(255) NOT NULL,
  `description` varchar(1000) NOT NULL,
  `image` varchar(500) NOT NULL,
  `soldout_text` varchar(255) NOT NULL,
  `soldout` tinyint(1) NOT NULL DEFAULT 0,
  `times_header_text` varchar(255) NOT NULL,
  `calendar_header_text` text NOT NULL,
  `list_times` tinyint(1) NOT NULL DEFAULT 1,
  `max` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `updated_at` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_bookableProducts` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_bookableProducts` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;


CREATE TABLE `ext_bookingTimes` (
  `id` int(11) NOT NULL,
  `bookableProduct_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `sub_title` varchar(255) NOT NULL,
  `created_at` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `updated_at` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_bookingTimes` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_bookingTimes` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE `ext_paymentObject` (
  `id` int(11) NOT NULL,
  `bookableProduct_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `created_at` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `updated_at` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_paymentObject` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_paymentObject` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE `ext_paymentItem` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `paymentObject_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `price` float(11) NOT NULL,
  `tax` float(11) NOT NULL,
  `value` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `updated_at` datetime NOT NULL,
  `updated_by` int(11) NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_paymentItem` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_paymentItem` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE `ext_bookingSubTimes` (
  `id` int(11) NOT NULL,
  `parent_bookingTimes_id` int(11) NOT NULL,
  `child_bookingTimes_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_bookingSubTimes` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_bookingSubTimes` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE `ext_bookingItems` (
  `id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `bookableProduct_id` INT NOT NULL,
  `bookingTimes_id` INT NOT NULL,
  `quantity` INT NOT NULL,
  `sum` FLOAT NOT NULL,
  `tax` float NOT NULL,
  `price` float NOT NULL,
  `startTime` datetime NOT NULL,
  `endTime` datetime NOT NULL,
  `externComments` varchar(255) NOT NULL,
  `project` VARCHAR(150) NOT NULL
  `uid` varchar(100) NOT NULL,
  `klarna_id` VARCHAR(255) NOT NULL,
  `deleted_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_bookingItems` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_bookingItems` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE `ext_linkedExtraProducts` (
  `id` int(11) NOT NULL,
  `parent_bookableProducts_id` int(11) NOT NULL,
  `child_bookableProducts_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
ALTER TABLE `ext_linkedextraproducts` ADD PRIMARY KEY (`id`);
ALTER TABLE `ext_linkedextraproducts` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
