
<!DOCTYPE html>
<html lang="se">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>{{$data['page']['title_bar']}}</title>
  <link rel="shortcut icon" href="img/icon.png" />
  <link href="css/app.css" rel="stylesheet">
  <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
</head>
<body class="py-5">
  <section class="py-5 text-center container">
    <div class="row py-lg-5">
      <div class="col-lg-7 col-md-9 mx-auto">
        <img src="{{asset($data['page']['logo'])}}" />
        <p class="pt-4 lead text-muted">{{$data['page']['description']}}</p>
      </div>
    </div>
  </section>
  <main id="app">
    <div class="album py-5 bg-light">
      <div class="container">

        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">

          @forelse($data['products'] as $product)
          <div class="col">
            <div class="card shadow-sm">
              
            @if(!$product['soldout'])
            <a href="{{url('view', [$product['id']])}}" class="link-unstyled">
            @endif
              <img class="card-img-top" width="100%" height="225" src="{{asset($product['image'])}}" />
              
              <div class="card-body">
                <h4>{{$product['title']}}</h4>
                <p class="card-text">{{$product['short_description']}}</p>
                <div class="d-flex justify-content-between align-items-center">
                  <small class="text-danger">{{$product['soldout_text']}}</small>
                </div>
              </div>
            @if(!$product['soldout'])
              </a>
              @endif
            </div>
            
          </div>
          @empty
          <div class="row py-lg-5">
            <div class="col-lg-6 col-md-8 mx-auto">
              <p class="lead text-muted">{{__('no_product')}}</p>
            </div>
          </div>
          @endforelse
        </div>
      </div>
    </div>
  </main>
  <script src="js/app.js" type="text/javascript"></script>
</body>
</html>
