@extends('layouts.app')
@section('page_title', $data['page']['title'])
@section('page_logo', $data['page']['logo'])
@section('page_description', $data['page']['description'])

@section('content')
  <main id="app">
    @include('components.product_header', ['productImage' => $data['product']['image'], 'productTitle' => $data['product']['title'], 'productDescription' => $data['product']['description']])
  
    @if ($data['product']['list_times'])
    <div class="py-3 bg-light col-lg-7 col-md-9 mx-auto">
      <div class="container">
        <div>
          <h4 class="pt-5 d-flex justify-content-between align-items-center mb-3">
            <span>{{$data['product']['times_header_text']}}</span>
          </h4>
          <ul class="list-group mb-3">
            @forelse ($data['times'] as $time)
              <product-component :data='@json($time)'></product-component>
            @empty
              <span>Inga bokningsbara tider</span>
            @endforelse
          </ul>
        </div>
      </div>
    </div>
    @else
    <div class="py-3 bg-light col-lg-7 col-md-9 mx-auto">
      <div class="container">
        <div>
          <h4 class="pt-5 d-flex justify-content-between align-items-center mb-3">
            <span>{{$data['product']['calendar_header_text']}}</span>
          </h4>
        </div>
      </div>
    </div>
    @endif
  </main>
@endsection
