
<!DOCTYPE html>
<html lang="se">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title><?php echo e($data['page']['title_bar']); ?></title>
  <link rel="shortcut icon" href="img/icon.png" />
  <link href="css/app.css" rel="stylesheet">
  <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
</head>
<body class="py-5">
  <section class="py-5 text-center container">
    <div class="row py-lg-5">
      <div class="col-lg-7 col-md-9 mx-auto">
        <img src="<?php echo e(asset($data['page']['logo'])); ?>" />
        <p class="pt-4 lead text-muted"><?php echo e($data['page']['description']); ?></p>
      </div>
    </div>
  </section>
  <main id="app">
    <div class="album py-5 bg-light">
      <div class="container">

        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">

          <?php $__empty_1 = true; $__currentLoopData = $data['products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
          <div class="col">
            <div class="card shadow-sm">
              
            <?php if(!$product['soldout']): ?>
            <a href="<?php echo e(url('view', [$product['id']])); ?>" class="link-unstyled">
            <?php endif; ?>
              <img class="card-img-top" width="100%" height="225" src="<?php echo e(asset($product['image'])); ?>" />
              
              <div class="card-body">
                <h4><?php echo e($product['title']); ?></h4>
                <p class="card-text"><?php echo e($product['short_description']); ?></p>
                <div class="d-flex justify-content-between align-items-center">
                  <small class="text-danger"><?php echo e($product['soldout_text']); ?></small>
                </div>
              </div>
            <?php if(!$product['soldout']): ?>
              </a>
              <?php endif; ?>
            </div>
            
          </div>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
          <div class="row py-lg-5">
            <div class="col-lg-6 col-md-8 mx-auto">
              <p class="lead text-muted"><?php echo e(__('no_product')); ?></p>
            </div>
          </div>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </main>
  <script src="js/app.js" type="text/javascript"></script>
</body>
</html>
<?php /**PATH C:\dev\git\external-booking\resources\views/home.blade.php ENDPATH**/ ?>